<?php

/*
 * This file is part of the Symfony package.
 *
 * (c) Fabien Potencier <fabien@symfony.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Symfony\Component\Security\Core\User;

/**
 * @author Nicolas Grekas <p@tchwork.com>
 *
 * @method void upgradePassword(PasswordAuthenticatedUserInterface|UserInterface $user, string $newHashedPassword) Upgrades the hashed password of a user, typically for using a better hash algorithm.
 *                                                                                                                 This method should persist the new password in the user storage and update the $user object accordingly.
 *                                                                                                                 Because you don't want your users not being able to log in, this method should be opportunistic:
 *                                                                                                                 it's fine if it does nothing or if it fails without throwing any exception.
 */
interface PasswordUpgraderInterface
{
}
